Bug 1451403 - Integrate .Net Core 2.0 Jenkins slave
Summary: Integrate .Net Core 2.0 Jenkins slave
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: ImageStreams
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 3.7.0
Assignee: Ben Parees
QA Contact: Dongbo Yan
URL:
Whiteboard:
Depends On: 1486613
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-16 15:01 UTC by Vladislav Walek
Modified: 2017-11-28 21:54 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Offer a .NET jenkins slave image for performing .NET CI/CD flows. Reason: To make it easier to build+test .NET code bases using Jenkins. Result: A .NET slave image is provided and configured out of the box in the Jenkins master image.
Clone Of:
Environment:
Last Closed: 2017-11-28 21:54:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description Vladislav Walek 2017-05-16 15:01:46 UTC
Description of problem:
RH provides NodeJS, Maven and base Jenkins slaves for Openshift. 
Customer would like to have .Net core slave for Jenkins too.

Version-Release number of selected component (if applicable):
OpenShift Container Platform 3.4

Comment 1 Ben Parees 2017-05-22 12:50:55 UTC
WIP PR: https://github.com/openshift/jenkins/pull/295

Comment 2 Severin Gehwolf 2017-05-23 08:20:55 UTC
Are 1.x .NET Core Jenkins slaves desirable or is a 2.0 .NET Core Jenkins Slave sufficient?

Comment 3 Vladislav Walek 2017-05-25 08:17:19 UTC
hello,

I have reply from customer:
 .NET Core stable version is going to be released only on Q3 2017.
 So for now .NET Core 1.x is enough.

Thx

Comment 19 Ben Parees 2017-09-25 19:56:02 UTC
.NET slave config was added to the jenkins rhel image here:
https://github.com/openshift/jenkins/pull/371

Comment 20 Dongbo Yan 2017-09-26 06:35:18 UTC
Test with
brew-pulp.../openshift3/jenkins-2-rhel7   v3.7                b12b7a127eaf
registry.access.redhat.com/dotnet/dotnet-20-jenkins-slave-rhel7                   latest              64e82a39eee6

openshift v3.7.0-0.127.0
kubernetes v1.7.0+80709908fd
etcd 3.2.1

Wait jenkins pod ready, log into jenkins webconsole, could see pod template 'dotnet-20' in jenkins management.

Create a pipeline build using 'dotnet-20' as slave node, could trigger build successfully.
# oc get pod -w
NAME                              READY     STATUS      RESTARTS   AGE
dotnet-20-4ec2eb4b10ba            1/1       Running     0          1m
jenkins-2-0rdv7                   1/1       Running     0          10m

move to verified

Comment 28 errata-xmlrpc 2017-11-28 21:54:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.